<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/zerovalue.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/zerovalue.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/zerovalue.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestZeroValue extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>    var $output;
<a name="line10"></a>    
<a name="line11"></a>	function testZeroValue() {
<a name="line12"></a>        $this->DoctorTestCase('Zero Value tests');
<a name="line13"></a>		
<a name="line14"></a>		$this->clearOutputDir();
<a name="line15"></a>		
<a name="line16"></a>		$this->setIniFile('zerovalue.ini');
<a name="line17"></a>		$this->runPhpDoctor();
<a name="line18"></a>		
<a name="line19"></a>		$this->output = $this->readOutputFile('phpdoctor/tests/zerovalue.html');
<a name="line20"></a>	}
<a name="line21"></a>	
<a name="line22"></a>	function testConstIntZero() {
<a name="line23"></a>		$this->assertStringDoesNotContain('<p class="name">|<a href="#ZERO">$ZERO</a>|</p>', $this->output, true);
<a name="line24"></a>		$this->assertStringDoesNotContain('<code class="signature">public final static  int <strong>$ZERO</strong></code>', $this->output, true);
<a name="line25"></a>		
<a name="line26"></a>		$this->assertStringContains('<p class="name">|<a href="#ZERO">ZERO</a>|</p>', $this->output, true); 
<a name="line27"></a>		$this->assertStringContains('<h3 id="ZERO">ZERO</h3>', $this->output, true); 
<a name="line28"></a>		$this->assertStringContains('<code class="signature">public final static  int <strong>ZERO</strong> = 0</code>', $this->output, true); 
<a name="line29"></a>	}
<a name="line30"></a>	
<a name="line31"></a>	function testConstIntOne() {
<a name="line32"></a>		$this->assertStringContains('<p class="name">|<a href="#ONE">ONE</a>|</p>', $this->output, true); 
<a name="line33"></a>		$this->assertStringContains('<h3 id="ONE">ONE</h3>', $this->output, true); 
<a name="line34"></a>		$this->assertStringContains('<code class="signature">public final static  int <strong>ONE</strong> = 1</code>', $this->output, true); 
<a name="line35"></a>	}
<a name="line36"></a>	
<a name="line37"></a>	function testConstEmptyString() {
<a name="line38"></a>		$this->assertStringContains('<p class="name">|<a href="#EMPTY_STRING">EMPTY_STRING</a>|</p>', $this->output, true); 
<a name="line39"></a>		$this->assertStringContains('<h3 id="EMPTY_STRING">EMPTY_STRING</h3>', $this->output, true); 
<a name="line40"></a>		$this->assertStringContains('<code class="signature">public final static  str <strong>EMPTY_STRING</strong> = \'\'</code>', $this->output, true); 
<a name="line41"></a>	}
<a name="line42"></a>	
<a name="line43"></a>	function testConstNonEmptyString() {
<a name="line44"></a>		$this->assertStringContains('<p class="name">|<a href="#SOME_STRING">SOME_STRING</a>|</p>', $this->output, true); 
<a name="line45"></a>		$this->assertStringContains('<h3 id="SOME_STRING">SOME_STRING</h3>', $this->output, true); 
<a name="line46"></a>		$this->assertStringContains('<code class="signature">public final static  str <strong>SOME_STRING</strong> = \'whatever const\'</code>', $this->output, true); 
<a name="line47"></a>	}
<a name="line48"></a>	
<a name="line49"></a>	function testConstNull() {
<a name="line50"></a>		$this->assertStringContains('<p class="name">|<a href="#NULL_CONST">NULL_CONST</a>|</p>', $this->output, true); 
<a name="line51"></a>		$this->assertStringContains('<h3 id="NULL_CONST">NULL_CONST</h3>', $this->output, true); 
<a name="line52"></a>		$this->assertStringContains('<code class="signature">public final static  mixed <strong>NULL_CONST</strong> = null</code>', $this->output, true); 
<a name="line53"></a>	}
<a name="line54"></a>	
<a name="line55"></a>	function testPropIntZero() {
<a name="line56"></a>		
<a name="line57"></a>		$this->assertStringDoesNotContain('<code class="signature">public  mixed <strong>$prop_zero</strong></code>', $this->output, true);
<a name="line58"></a>		
<a name="line59"></a>		$this->assertStringContains('<p class="name">|<a href="#prop_zero">$prop_zero</a>|</p>', $this->output, true); 
<a name="line60"></a>		$this->assertStringContains('<h3 id="prop_zero">prop_zero</h3>', $this->output, true); 
<a name="line61"></a>		$this->assertStringContains('<code class="signature">public  mixed <strong>$prop_zero</strong> = 0</code>', $this->output, true); 
<a name="line62"></a>	}
<a name="line63"></a>	
<a name="line64"></a>	function testPropIntOne() {
<a name="line65"></a>		$this->assertStringContains('<p class="name">|<a href="#prop_one">$prop_one</a>|</p>', $this->output, true); 
<a name="line66"></a>		$this->assertStringContains('<h3 id="prop_one">prop_one</h3>', $this->output, true); 
<a name="line67"></a>		$this->assertStringContains('<code class="signature">public  mixed <strong>$prop_one</strong> = 1</code>', $this->output, true); 
<a name="line68"></a>	}
<a name="line69"></a>	
<a name="line70"></a>	function testPropEmptyString() {
<a name="line71"></a>		$this->assertStringContains('<p class="name">|<a href="#prop_emptystring">$prop_emptystring</a>|</p>', $this->output, true); 
<a name="line72"></a>		$this->assertStringContains('<h3 id="prop_emptystring">prop_emptystring</h3>', $this->output, true); 
<a name="line73"></a>		$this->assertStringContains('<code class="signature">public  mixed <strong>$prop_emptystring</strong> = \'\'</code>', $this->output, true); 
<a name="line74"></a>	}
<a name="line75"></a>	
<a name="line76"></a>	function testPropNonEmptyString() {
<a name="line77"></a>		$this->assertStringContains('<p class="name">|<a href="#prop_somestring">$prop_somestring</a>|</p>', $this->output, true); 
<a name="line78"></a>		$this->assertStringContains('<h3 id="prop_somestring">prop_somestring</h3>', $this->output, true); 
<a name="line79"></a>		$this->assertStringContains('<code class="signature">public  mixed <strong>$prop_somestring</strong> = \'whatever string\'</code>', $this->output, true); 
<a name="line80"></a>	}
<a name="line81"></a>	
<a name="line82"></a>	function testPropNull() {
<a name="line83"></a>		$this->assertStringContains('<p class="name">|<a href="#prop_null">$prop_null</a>|</p>', $this->output, true); 
<a name="line84"></a>		$this->assertStringContains('<h3 id="prop_null">prop_null</h3>', $this->output, true); 
<a name="line85"></a>		$this->assertStringContains('<code class="signature">public  mixed <strong>$prop_null</strong> = null</code>', $this->output, true); 
<a name="line86"></a>	}
<a name="line87"></a>	
<a name="line88"></a>	function testPropUndefined() {
<a name="line89"></a>		$this->assertStringContains('<p class="name">|<a href="#prop_undefined">$prop_undefined</a>|</p>', $this->output, true); 
<a name="line90"></a>		$this->assertStringContains('<h3 id="prop_undefined">prop_undefined</h3>', $this->output, true); 
<a name="line91"></a>		$this->assertStringContains('<code class="signature">public  mixed <strong>$prop_undefined</strong></code>', $this->output, true); 
<a name="line92"></a>	}
<a name="line93"></a>	
<a name="line94"></a>	
<a name="line95"></a>}
<a name="line96"></a>
<a name="line97"></a>?>
<a name="line98"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/zerovalue.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>